Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.mockintblock
Class MockVariableIntBlockPostingsFormat

    java.lang.Object
      org.apache.lucene.codecs.PostingsFormat
          org.apache.lucene.codecs.mockintblock.MockVariableIntBlockPostingsFormat

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public final class MockVariableIntBlockPostingsFormat

extends PostingsFormat

A silly test codec to verify core support for variable sized int block encoders is working. The int encoder used here writes baseBlockSize ints at once, if the first int is <= 3, else 2*baseBlockSize.

Nested Class Summary
`static class` | `MockVariableIntBlockPostingsFormat.MockIntFactory` If the first value is <= 3, writes baseBlockSize vInts at once, otherwise writes 2*baseBlockSize vInts.

Field Summary

Fields inherited from class org.apache.lucene.codecs.PostingsFormat
`EMPTY`

Constructor Summary
`MockVariableIntBlockPostingsFormat()`
`MockVariableIntBlockPostingsFormat(int baseBlockSize)`

Method Summary
`FieldsConsumer` | `fieldsConsumer(SegmentWriteState state)`
`FieldsProducer` | `fieldsProducer(SegmentReadState state)`
`String` | `toString()`

Methods inherited from class org.apache.lucene.codecs.PostingsFormat
`availablePostingsFormats, forName, getName, reloadPostingsFormats`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MockVariableIntBlockPostingsFormat

    public MockVariableIntBlockPostingsFormat()

### MockVariableIntBlockPostingsFormat

    public MockVariableIntBlockPostingsFormat(int baseBlockSize)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `PostingsFormat`

### fieldsConsumer

    public FieldsConsumer fieldsConsumer(SegmentWriteState state)
                                  throws IOException

  Specified by:
    `fieldsConsumer` in class `PostingsFormat`
  Throws:
    `IOException`

### fieldsProducer

    public FieldsProducer fieldsProducer(SegmentReadState state)
                                  throws IOException

  Specified by:
    `fieldsProducer` in class `PostingsFormat`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.